Przenoszenie zarządzania źródłami konwersji z Content API for Shopping

Źródła konwersji w Merchant Center umożliwiają wyświetlanie na koncie Merchant Center danych o konwersjach z bezpłatnych informacji i z Twojej witryny. Interfejs Merchant API umożliwia zarządzanie źródłami konwersji na koncie Merchant Center. Więcej informacji znajdziesz w artykule Zarządzanie źródłami konwersji.

Na tej stronie opisujemy, jak przenieść zarządzanie źródłami konwersji z Content API do Merchant API.

Żądania

Oto przykładowe porównanie Content API for Shopping z interfejsem Merchant Conversion Sources API w przypadku żądań dotyczących źródeł konwersji:

Content API. Merchant API
URL GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} GET https://merchantapi.googleapis.com/conversions/v1/{NAME}
Identyfikatory {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME}

Metody

Oto zmiany w metodach źródeł konwersji w interfejsie Conversion Sources API:

Metoda URL w Content API for Shopping URL w Merchant API Identyfikatory w Content API for Shopping Identyfikatory w interfejsie Merchant API Opis
create POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources POST https://merchantapi.googleapis.com/conversions/v1/accounts/{PARENT}/conversionSources {MERCHANT_ID} {PARENT} W interfejsie Merchant API propertyName nosi nazwę property.
update PATCH https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} PATCH https://merchantapi.googleapis.com/conversions/v1/accounts/{CONVERSIONSOURCE_NAME} {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {CONVERSIONSOURCE_NAME} W interfejsie Merchant API destinationId nosi nazwę destination.
delete DELETE https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} DELETE https://merchantapi.googleapis.com/conversions/v1/accounts/{NAME} {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME} W interfejsie Merchant API attributionLookbackWindowInDays nosi nazwę attributionLookbackWindowDays.
W interfejsie Merchant API includeInReporting nosi nazwę report.
undelete POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID}:undelete POST https://merchantapi.googleapis.com/conversions/v1/accounts/{name}:undelete {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME} W interfejsie Merchant API adres URL i identyfikatory są inne.
Interfejs Conversion Sources API zwraca ConversionSource zamiast Empty.
get GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} GET https://merchantapi.googleapis.com/conversions/v1/accounts/{NAME} {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME} W interfejsie Merchant API adres URL i identyfikatory są inne.
list GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources GET https://merchantapi.googleapis.com/conversions/v1/{PARENT}/conversionSources {MERCHANT_ID} {PARENT} Adres URL i identyfikatory są inne w Merchant API.

Zasoby

W tabeli poniżej znajdziesz zmiany w zasobach źródeł konwersji w interfejsie Conversion Sources API:

Content API for Shopping Merchant API Opis
googleAnalyticsLink: {

property_id: int64,

attributionSettings: object,

propertyName: string

}

googleAnalyticsLink: {

propertyId: int64,

attributionSettings: object,

property: string

}

W interfejsie Merchant API propertyName nosi nazwę property.
merchantCenterDestination: {

destinationId: string,

attributionSettings: object,

displayName: string,

currencyCode: string

}

merchantCenterDestination: {

destination: string,

attributionSettings: object,

displayName: string,

currencyCode: string

}

W interfejsie Merchant API destinationId nosi nazwę destination.
attributionSettings: {

attributionLookbackWindowDays: int32,

attributionModel: object,

repeated conversionType: {

name: string,

includeInReporting: bool

}

}

attributionSettings: {

attributionLookbackWindowDays: int32,

attributionModel: object,

repeated conversionType: {

name: string,

report: bool

}

}

W interfejsie Merchant API attributionLookbackWindowInDays nosi nazwę attributionLookbackWindowDays.

W interfejsie Merchant API includeInReporting nosi nazwę report.